GDB (xrefs)

Classes | Namespaces | Functions | Variables
cleanup_check.py File Reference

Go to the source code of this file.

## Classes
class | cleanup_check.Dummy
class | cleanup_check.Cleanup
class | cleanup_check.MasterCleanup
class | cleanup_check.CleanupChecker
class | cleanup_check.CheckerPass

## Namespaces
| cleanup_check

## Functions
def | cleanup_check.log (msg, indent=0)
def | cleanup_check.is_cleanup_type (return_type)
def | cleanup_check.is_constructor (decl)
def | cleanup_check.is_destructor (decl)
def | cleanup_check.needs_special_treatment (decl)

## Variables
bool | cleanup_check.want_raii_info = False
bool | cleanup_check.logging = False
bool | cleanup_check.show_cfg = False
| cleanup_check.destructor_names = set(['do_cleanups', 'discard_cleanups'])
| cleanup_check.special_names
| cleanup_check.ps = CheckerPass(name = 'check-cleanups')